# GimpUi.widget_get_color_profile

    function widget_get_color_profile(widget: Gtk.Widget): Gimp.ColorProfile {
        // Gjs wrapper for gimp_widget_get_color_profile()
    }

This function returns the Gimp.ColorProfile of the monitor widget is currently displayed on, or null if there is no profile configured.

Since 3.0

widget

  a Gtk.Widget

Returns

  widget's monitor's Gimp.ColorProfile, or null.